# Generated by Django 2.2.24 on 2021-08-03 17:47

import django.db.models.deletion
from django.db import migrations, models


def set_streetmodel_resource(apps, schema_editor):
    BaseAdresse = apps.get_model("base_adresse", "BaseAdresse")
    StreetModel = apps.get_model("base_adresse", "StreetModel")
    if BaseAdresse.objects.exists():
        StreetModel.objects.update(resource=BaseAdresse.objects.first())
    else:
        StreetModel.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ("base_adresse", "0018_text_to_jsonb"),
    ]

    operations = [
        # create StreetModel.resource with null=True and default=None
        migrations.AddField(
            model_name="streetmodel",
            name="resource",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="base_adresse.BaseAdresse",
                verbose_name="BAN Connector",
            ),
        ),
        # set all StreetModel.resource to the first BaseAdresse existing resource
        migrations.RunPython(set_streetmodel_resource),
        # remove null=True
        migrations.AlterField(
            model_name="streetmodel",
            name="resource",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="base_adresse.BaseAdresse",
                verbose_name="BAN Connector",
            ),
        ),
    ]
